<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>jQuery UI</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
    <script src="assets/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="assets/jquery-ui.min.css">
</head>

<body align="center">
    <h2 id="hello">Hello</h2>
    
    <button id="show">SHOW</button>
    <button id="hide">HIDE</button>
    <button id="toggle">TOGGLE</button>
    
    <hr>
    
    <button id="show01">SHOW</button>
    <button id="hide01">HIDE</button>
    <button id="toggle01">TOGGLE</button>
    
    <hr>
    
    <button id="show02">SHOW</button>
    <button id="hide02">HIDE</button>
    <button id="toggle02">TOGGLE</button>
    
    <h2>CallBack:</h2>
    <p id="console">Text</p>
    <hr>
    <h2>UI</h2>
    
    <a class="ui-button ui-widget ui-corner-all" href="https://jqueryui.com/">jQuery UI</a>
   
    <script>
        $(function() {
            var $hello = $("#hello");
            var $console = $("#console");
            
            $("#show").off('click').on('click',function(){
                $hello.show();
            })
            
            $("#hide").off('click').on('click',function(){
                $hello.hide();
            })
            
            $("#toggle").off('click').on('click',function(){
                $hello.toggle();
            })
            
            $("#show01").off('click').on('click',function(){
                $hello.show(1000);
            })
            
            $("#hide01").off('click').on('click',function(){
                $hello.hide(1000);
            })
            
            $("#toggle01").off('click').on('click',function(){
                $hello.toggle(1000);
            })
            
            $("#show02").off('click').on('click',function(){
                $hello.show(1000 , function(){
                    $console.text("Show");
                });
            })
            
            $("#hide02").off('click').on('click',function(){
                $hello.hide(1000, function(){
                    $console.text("Hide");
                });
            })
            
            $("#toggle02").off('click').on('click',function(){
                $hello.toggle(1000, function(){
                    $console.text("Toggle");
                });
            })
            
        });

    </script>

</body>

</html>
